[arch-commits] Commit in iwlwifi-5000-ucode/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Nov 23 13:09:30 EST 2009


    Date: Monday, November 23, 2009 @ 13:09:29
  Author: giovanni
Revision: 59411

upgpkg: iwlwifi-5000-ucode 8.24.2.12-2
    Switched to arch any

Modified:
  iwlwifi-5000-ucode/trunk/PKGBUILD

----------+
 PKGBUILD |   21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-23 18:03:14 UTC (rev 59410)
+++ PKGBUILD	2009-11-23 18:09:29 UTC (rev 59411)
@@ -1,27 +1,28 @@
-# $Id: PKGBUILD 4445 2008-07-07 12:03:31Z thomas $
+# $Id: $
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=iwlwifi-5000-ucode
 pkgver=8.24.2.12
 _old_pkgver=5.4.A.11
-pkgrel=1
+pkgrel=2
 pkgdesc="Intel wireless firmware for Intel's 5100BG, 5100ABG, 5100AGN, 5300AGN and 5350AGN wireless devices"
-arch=(i686 x86_64)
+arch=('any')
 url="http://intellinuxwireless.org/?p=iwlwifi"
 license=('custom')
 depends=()
-source=(http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-$pkgver.tgz
-        http://intellinuxwireless.org/iwlwifi/downloads/$pkgname-${_old_pkgver}.tar.gz)
+source=(http://intellinuxwireless.org/iwlwifi/downloads/${pkgname}-${pkgver}.tgz
+        http://intellinuxwireless.org/iwlwifi/downloads/${pkgname}-${_old_pkgver}.tar.gz)
 md5sums=('45f74d052d52f6f473dc7a8d412f2274'
          '748860c5079dde1a1313e72511b9322a')
 
 build() {
-  cd $srcdir/$pkgname-${_old_pkgver}
+  cd "${srcdir}/${pkgname}-${_old_pkgver}"
   # Install API version 1 firmware
-  install -D -m 644 iwlwifi-5000-1.ucode $pkgdir/lib/firmware/iwlwifi-5000-1.ucode || return 1
-  cd $srcdir/$pkgname-$pkgver
+  install -D -m 644 iwlwifi-5000-1.ucode "${pkgdir}/lib/firmware/iwlwifi-5000-1.ucode" || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   # Install firmware
-  install -D -m 644 iwlwifi-5000-2.ucode $pkgdir/lib/firmware/iwlwifi-5000-2.ucode || return 1
+  install -D -m 644 iwlwifi-5000-2.ucode "${pkgdir}/lib/firmware/iwlwifi-5000-2.ucode" || return 1
   # Install license
-  install -D -m 644 LICENSE.iwlwifi-5000-ucode $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+  install -D -m 644 LICENSE.iwlwifi-5000-ucode "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }



More information about the arch-commits mailing list